VisualFlow Functions

VisualFlow allows you to interactively browse through files stored in Memory Stick media that contain still images, movies, and audio clips, and to select such files for display or playback by other applications. You can also do this on other media, like your hard disk or MO disk.

  • Changing the display layout
    Multiple slides (still images, movies, and sound files) can be displayed in a variety of layouts, including semi-circular layout, checkerboard layout, spiral layout, and linear layout.
    ->Changing the display layout

  • Changing the sort order
    You can change the sequence of slides that are displayed so that they appear in the sequence of name, type, size, or creation date.
    ->Changing the sort order

  • Displaying slide information
    You can display a variety of information regarding a particular slide, including its file name, the creation date, the file size, and the file type.
    ->Displaying slide information

  • Zooming in on slides
    You can display slides in an enlarged format. When you zoom in on an audio clip or movie slide, playback of that slide starts. You can also enjoy watching your slide show.
    ->Zooming in on slides
    ->Enjoying slide shows

    Note

    • VisualFlow cannot play audio clips that are stored in MemoryStick Audio format (clips with the extension MSA).
    • To play audio clips that are stored in MemoryStick Voice format (files with the extension MSV), the MemoryStick Voice Editor must be installed on your computer.

  • Copying or deleting slides
    You can copy the selected slides to a different file, or delete or print them.
    ->Copying/deleting/printing slides

  • Displaying/playing slides with other software
    You can open, display or play back slides selected by VisualFlow with other software.
    ->Displaying/playing slide images and audio clips with other software

  • Controlling display with the Jog Dial control, keyboard, or game controller
    In addition to the mouse and keyboard, you can control VisualFlow display using the Jog Dial control, the keyboard, or a game controller.
    ->List of shortcut keys
    ->Controlling display with the Jog Dial control
    ->Controlling display with a game controller


Launching VisualFlow

The manner in which you launch VisualFlow differs according to whether or not VisualFlow is specified in VAIO Action Setup.

When VisualFlow is specified in VAIO Action Setup

Set the Memory Stick media containing the still images, movies, or audio clips into the computer's Memory Stick media slot.
VisualFlow is launched and slides (thumbnail-size images) representing the still images, movies, or audio clips contained in the Memory Stick media are displayed in the window.
Now the VisualFlow can be controlled by the tool bar.

When VisualFlow is not specified in VAIO Action Setup

Click the Start button on the taskbar and select Programs - VisualFlow 2.0 - VisualFlow 2.0.
VisualFlow will start and the Windows Desktop will be displayed.


Exiting VisualFlow

Exit VisualFlow as follows:
  1. Move the mouse pointer to the right end of the toolbar and click on [image] (Exit button) that appears in the sub-toolbar. Alternatively, click on [image] (Close button) in the upper right corner of the window.

Note

Do not remove the Memory Stick media (or the other media) from the computer while files are being read or written.


Slides

Miniature images called slides are displayed to represent movies and audio clips that are stored in the Memory Stick media (or the other media). File names are displayed to the side of the slides.
The file appearing in the center of the window is surrounded by a red border, and contains the name and size information of the file.

When browsing your hard disk

Each folder is displayed as a slide. You can either press the Enter key or press the Jog dial to move to that folder.
Click [image] to move to a folder in the higher directory.

Hint

  • Folders and drives stored in the Memory Stick (or the other media) are displayed as slides.
  • In movies, the still image from the first frame is displayed as a slide.
  • Audio clips are displayed as colorful patterns along with relevant file information. The complexity of the pattern increases with the file size.
    The file information displayed with audio clips varies according to file type.
    File Formats (.extentions) | File information
    MemoryStick Audio (.MSA) | album name, artist name, piece name, playing length
    MemoryStick Voice (.MSV) | playing length, recording mode (SP/LP), title name, recording date
    Wave (.WAV) | "WAVE File", playing length
    MIDI (.MID, .SMF, .RMI) | piece name, playing length
    AU (.AU, .SND) | "AU File", playing length
    AIFF (.AIF, .AIFC, .AIFF) | "AIFF File", playing length
    MP3 (.MP3) | album name, artist name, piece name, playing length


Toolbar

You can use the functions of VisualFlow by clicking on their corresponding buttons in the toolbar.
Moving the mouse pointer to the left end of the toolbar displays the Memory Stick media information icon. Moving it to the right end of the toolbar displays a sub-toolbar that you can use to control operation.

Hint

You can achieve the same result by pressing the Shift key to display both the Memory Stick media information icon and the sub-toolbar.

A Layout selection buttons
Selects the manner in which slides are arranged.
B Sort order selection buttons
Selects the order in which slides are sorted.


Memory Stick media info icon

The following buttons and icons appear when you move the mouse pointer to the left end of the toolbar.

  • (still image)/ [image] (movie)/ [image] (audio clip)
    Placing the mouse pointer over an icon displays the number of files of the type indicated by the icon currently displayed and the total size (in K bytes or M bytes).
    When the mouse pointer is not on top of one of these icons, it displays the number of files of all of the files currently displayed and the total size (in K bytes or M bytes).

  • The text at the bottom of this icon indicates the capacity of the Memory Stick media (or the other media). The gray rectangle represents the portion of the capacity that is already in use.


Sub-toolbar

The sub-toolbar appears when you move the mouse pointer to the right end of the toolbar. To use the functions of VisualFlow, click on the corresponding buttons in this sub-toolbar.

  • / [image] (Enables/disables sound effects.)
  • / [image] (Setting to hide/view the configuration of folders when in MemoryStick view: When set to: , all of the contents are displayed without showing the folder.)
  • / [image] (Enables/disables ghost trails.)
  • / [image] (Enables/disables full screen display.)
  • / [image] (Enables/disables background effects.)
  • (Displays Help.)
  • (Ends VisualFlow.)


Changing the display layout

You can choose from among a variety of layouts for slide display, including semi-circular layout, checkerboard layout, spiral layout, and linear layout.

  1. Click on the [image] button in the toolbar until slides appear in the desired layout.
    The button indicating the layout moves to the center of the toolbar and the slides are arranged in the selected layout.

Hint

You can also switch layouts by clicking on the button displayed at the toolbar's center. Additionally, you can switch directly to the desired layout by clicking on the corresponding button at the bottom left of the window.
Icons corresponding to the various layouts are as follows:
  • (Semi-circular)
  • (Checkerboard)
  • (Spiral)
  • (Linear)


Changing the sort order

You can sort slides (change the sequence in which they are displayed) so that they appear in order of name, type, size, or creation date.

  1. Click on the triangular portion of the [image] button in the toolbar until the slides appear in the desired sort order.
    The button indicating the sort criteria moves to the center of the toolbar and the slides are sorted according to that criteria.

Hint

You can also change sort order by clicking on the button displayed at the toolbar's center. Additionally, you can switch directly to the desired sort order by clicking on the corresponding button at the bottom right of the window.
Icons corresponding to the various sort orders are as follows:
  • (File name)
  • (File type)
  • (File size)
  • (Creation date)

Note

  • If the slide image contains a recording date in DCF standard format, the recording date is displayed as the creation date.
    For details on the DCF standard, see the operating instructions provided with your digital camera.
  • In MemoryStick, Voice files and the recording date are displayed as the creation date.


Displaying slide information

File information (name, creation date, size, and type) is displayed only for the slide at the center of the window. You can move a slide to the center as follows.

Caution:

Folders and drives stored in the Memory Stick (or the other media) are displayed as slides.

  1. Click on the desired slide.
    The slide moves to the center of the window, a red frame appears around the slide, and the file information is displayed.

    A File name
    With MemoryStick Audio files (files with the extension MSA), this indicates the selection name; with MemoryStick Voice files (files with the extension MSV) it indicates the title name.
    B File size
    This indicates the size of the file in K bytes.
    C Creation date
    This indicates the date on which the file was created. However, with CDF files containing a recording date, it indicates the date of image recording.
    D File type icon
    One of the following icons is displayed to indicate the file type.
    (still image), [image] (movie), [image] (audio clip)

Hint

  • To view information about slides that do not appear in the window, move the mouse pointer to an empty part of the window and drag while pressing the left mouse button to bring other slides into view. Click on the desired slide in the window to move the slide to the center.
  • If your mouse is equipped with a wheel button, you can achieve the same result by turning the wheel button.


Zooming in on slides

You can display an enlarged view of a slide as follows:

Note

When viewing slides of folders, the slides of files and folders that are stored in the folder are displayed.

  1. Click on the slide you want to enlarge.
    Move the desired slide to the center of the window.
    A red frame appears around the slide and its file information is displayed.
  2. Click on the slide enclosed by the red frame and accompanied by file information.
    An enlarged view of the slide is displayed. If the slide is a movie or an audio clip, display is enlarged and playback starts.
  3. To restore the slide to its original size or to stop playback, click on the enlarged view of the slide.


Enjoying slide shows

You can enjoy your own slide show by automatically and consecutively displaying slides you select one at a time, or by using mouse to switch slides.
  1. Select slides you want to view in your slide show.
    Click on the Select button while the slide is enlarged. (You can also press the cursor keys (<- , ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.)
    The selected slides appear with the [image] [image].
    If you want to cancel your selection, click on the Unselect button, while the slide is enlarged.
  2. Click the Slideshow button.
    You can also press the cursor keys (<-, ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.
    The Slide Show tool bar is displayed.
  3. Use the slide show tool bar to perform the necessary operations.
    • Previous
      Displays the previous slide.
    • Next
      Displays the next slide.
    • Automatic
      Displays each image, one at a time, in a fixed time span.
    • Select/ [image] Unselect
      Selects and deselects slides.


Copying/deleting/printing slides

Use the following operations to copy, delete or print the slides which you have selected.

  1. Select a slide to copy, delete or print.
     Enlarge the slide you want.

    Selecting a multiple of slides:

    Enlarge the slide you want, and click the Select button. (You can also press the cursor keys (<- , ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.) The slides which you have selected appear with the [image] [image].
    If you want to cancel your selection, click on the Unselect button, while the slide is enlarged.
  2. Click the File button.
    You can also press the cursor keys (<- , ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.
    The Copy/Delete/Print tool bar is displayed.
  3. Use the Copy/Delete/Print tool bar to perform the necessary operations.
    • Copy
      Double-click on the folder that is the destination of the copy from among the folders that are displayed and a menu will appear in the window. Select either of the following.
      • All selected files: Copies all the files that are selected.
      • Only files that are displayed: Copies only the files that are shown in enlarged view..
      • Cancel: Reselects another folder as the destination. Right-click on the screen to cancel the copy operation or press the ESC key.
    • Delete
      The confirmation dialog box is displayed. Click Yes to delete the selected slides.
    • Print
      The Print dialog box is displayed. Make the necessary settings and click OK to print the selected slides.


Viewing/playing slide images or audio using different software

Use the following operations to view/play the still images, movies or audio of your selected slides using different software applications.

  1. Select a slide to view or play using different software.
     Enlarge the slide you want.

    Selecting a multiple of slides:

    Enlarge the slide you want, and click the Select button. (You can also press the cursor keys (<- , ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.) The slides which you have selected appear with the [image] [image].
    If you want to cancel your selection, click on the Unselect button, while the slide is enlarged.
  2. Click the Application button.
    You can also press the cursor keys (<- , ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.
  3. Click on the software or the folder button to startup the targeted software.
    You can also press the cursor keys (<- , ->) or turn the wheel button, if your mouse is equipped with a wheel button, to move the slide you want to select between the [image] / [image] (Indicators) and press the Enter key to select slides.
    That software will startup or a button indicating the executable software or folder will appear in the tool bar.
    Buttons that appear indicate the following software.
    (E-mail software)
    (PictureToy)
    (Explorer)
    (PictureGear)
    (PictureGear Editor)
    (Folder for PictureGear Utilities)
    (Folder of an added application)

Hint

The meanings of buttons and folders that appear are as follows.
E-mail
Execute the E-mail software. Clicking this attaches the files of the selected slides and startup the E-mail software program. Also, MAPI settings are required with E-mail software to select and execute the E-mail software. Refer to the Operation Manual of the E-mail software or read the help files for details on settings and encoding attached files.
PictureToy
Clicking this starts up the PictureToy program where you can draw on the slides.

Note

The resolution of the picture drawn using PictureToy on VisualFlow differs from the resolution of the original.
Explorer
Clicking this displays the contents of the folders that include the selected slides.
PictureGear
Clicking this starts up the PictureGear program.
PictureGear Editor
Clicking this starts up the PictureGear Editor program where you can edit slides.
PictureGear Utilities
This includes the following PictureGear Utilities.
  • Label Maker
  • Animation Tool
  • Wallpaper Maker
  • Panorama Maker
  • Album Maker
  • Screen Saver Maker
Added Application
Includes the following application.
  • Open MG Jukebox


Controlling display with the Jog Dial control

Instead of using the mouse, you can use the Jog Dial control to select menu items and display slide information.

Note

This function is available only with Sony computers that are equipped with the Jog Dial control. For details, please refer to the instructions included with your computer.

To select a slide for display:

Turn the Jog Dial control.

To display the slide in enlarged format:

Turn the Jog Dial control to display information for the desired file, then press the Jog Dial control.
Pressing the Jog Dial control for the second time restores the slide to its original size.

To display/play back a slide's image or audio through other software:

Display the slide in an enlarged format, turn the Jog Dial control to bracket the desired software with the [image] / [image] icons (indicators), and then press the Jog Dial control.

To execute menu commands in the sub-toolbar:

Turn the Jog Dial control while holding down the Shift key to select your desired button and press the Jog Dial control.


Controlling display with a game controller

Using a game controller such as a joystick, you can control almost all of VisualFlow's functions without using the mouse or the Jog Dial control.

Note

For details on your game controller, see its operating instructions.

Operation | Game controller
Displaying the Memory Stick media information icon and sub-toolbar | Button 2
Selecting the sub-toolbar menu items | Button 2 + the stick or direction keys (Left, Right)
Executing menu commands | Button 2 + Button 1
Selecting a slide for information display | The stick or direction keys (Up, Down, Left, Right)
Enlarging slide display | Button 1
Restoring slide display to its original size | Button 1
Selecting and deselecting slides | Button 3
Changing the layout | Button 4
Selecting other software for slide display/playback | (After enlarging slide display) The stick or direction keys (Left, Right), Button 3, Button 4
Displaying/playing back a slide through the selected software (select the software first by reducing enlarged slide display to the original size) | Button 1

Hint

Game controller buttons corresponding to keys on the keyboard are as follows.
Game controller | Keyboard
Direction keys or stick | Cursor keys (Up, Down, Left, Right)
Button 1 | Enter
Button 2 | Shift
Button 3 | Space
Button 4 | Tab


Supported file formats

VisualFlow can be used with still images, movies, and audio clips in the following formats:

Still images

File format | Extension
Bitmap | .BMP
JPEG | .JPG, .JPEG, .JPE
TIFF | .TIF, .TIFF
GIF | .GIF
FlashPix | .FPX
DVF | .DVF
Windows Meta File | .WMF
Photoshop | .PSD
PICT | .PCT
Photo CD | .PCD
Palm | .PRC
PNG | .PNG

Movies

File format | Extension
MPEG | .MPG, .MPEG
AVI | .AVI
QuickTime | .QT, .MOV

Audio clips

File format | Extension
WAVE | .WAV
MemoryStick Audio | .MSA
MemoryStick Voice | .MSV
MIDI | .MID, .SMF, .RMI
AU | .AU, .SND
AIFF | .AIF, .AIFC, .AIFF
MP3 | .MP3

Note

  • VisualFlow can also be used with DCF-compatible JPEG files. DCF is an abbreviation for the "Design rule for Camera File System" set forth by JEIDA (the Japan Electronics Industry Development Association).
  • Files in MemoryStick Audio format (files with the extension MSA) cannot be played in VisualFlow.
  • To play audio clips that are stored in MemoryStick Voice format (files with the extension MSV), the MemoryStick Voice Editor must be installed on your computer.


Shortcut keys

You can speed up operation by using the following shortcut keys in place of the mouse:

Operation | Shortcut key
Displaying the Memory Stick media information icon and sub-toolbar | Shift
Selecting the sub-toolbar menu items | Shift + Cursor keys (<-, ->)
Executing menu commands | Shift + Enter
Selecting all slides | Ctrl Key + "A" Key
Canceling selection of all slides | Shift + Ctrl + "A" Key
Selecting and deselecting slides | Space
Selecting a slide for information display | Cursor keys (Up, Down, <-, ->)
Enlarging slide display | Enter
Restoring slide display to its original size | Enter, Esc
Changing the sort order | "S" Key
Changing the layout | Tab
Displaying Help | F1
Reloading Memory Stick (or other) media data | F5
Switching the full-screen mode on and off | F11
Selecting other software for slide display/playback | (After enlarging slide display) Cursor keys (<-, ->)
Displaying/playing back a slide through the selected software (select the software first by reducing enlarged slide display to the original size) | Enter


Troubleshooting

Before contacting your local customer support, please check the following items. For details on customer support, see the instructions provided with your computer.

Symptom | Cause/Remedy
Slides do not appear in the window. The Memory Stick media isn't set properly in the computer's Memory Stick media slot.
  • Verify that whether the Memory Stick media is set properly.

There is no data stored in the Memory Stick media.
  • Verify that data is stored in the Memory Stick media.

The Memory Stick media was set after launching VisualFlow.
  • Press the F5 key if you set the Memory Stick media after launching VisualFlow.

The Memory Stick media was not formatted correctly.
  • Reformat the Memory Stick media using the Memory Stick formatting program or a Memory Stick device (such as a digital still camera or video camera). For details on formatting Memory Stick media, please refer to the instructions provided with your computer or Memory Stick device.
  • PictureGear Utilities icon is not displayed.
  • Print icon is not displayed.
It is necessary to install PictureGear 5.0 to use PictureGear Utilities or to print.
PictureToy icon is not displayed. | It is necessary to install PictureToy 1.0 to use PictureToy.


Trademark Information

  • Copyright 2000 Sony Corporation
  • This software is based in part on the work of the Independent JPEG Group.
  • PictureGear, Memory Stick, and the [image] are trademarks of Sony Corporation.
  • Microsoft, MS, MS-DOS, and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

Other system names and product names appearing in this document are generally registered trademarks of their manufacturers, although (TM) and (R) marks are not shown in this document.

  • Copying all or part of the contents of this software and Help, or renting the software without authorization are prohibited by copyright laws.
  • The Company cannot accept liability for damage or loss resulting from the use of this software, or for any claim from a third party.
  • The Company assumes no responsibility aside from the replacement of the media due to manufacturing fault.
  • This software must not be used in a system other than that specified.
  • The software specifications may be subject to change without notice.